Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.conn
Interface Service

All Superinterfaces:
  java.rmi.Remote, com.sun.rmi2rpc.SingletonRemote

All Known Implementing Classes:
  ServiceStub

public interface Service
extends com.sun.rmi2rpc.SingletonRemote

Simple example RPC service.

Field Summary
`static int` | `getAttribute`
`static int` | `getAttributes`
`static int` | `invoke`
`static int` | `TYPE_CODE`
`static int` | `VERSION_CODE`

Method Summary
`com.sun.mfwk.conn.MfAttValue` | `getAttribute(java.lang.String objectName, java.lang.String attribute)`
`com.sun.mfwk.conn.MfAttValue[]` | `getAttributes(java.lang.String objectName, java.lang.String[] attributes)`
`com.sun.mfwk.conn.MfAttValue` | `invoke(java.lang.String objectName, java.lang.String operationName, com.sun.mfwk.conn.MfAttValue[] params, java.lang.String[] signature)`

Field Detail

### TYPE_CODE

    public static final int TYPE_CODE

See Also:
  Constant Field Values

### VERSION_CODE

    public static final int VERSION_CODE

See Also:
  Constant Field Values

### getAttribute

    public static final int getAttribute

See Also:
  Constant Field Values

### getAttributes

    public static final int getAttributes

See Also:
  Constant Field Values

### invoke

    public static final int invoke

See Also:
  Constant Field Values

Method Detail

### getAttribute

    public com.sun.mfwk.conn.MfAttValue getAttribute(java.lang.String objectName,
                                                     java.lang.String attribute)
                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getAttributes

    public com.sun.mfwk.conn.MfAttValue[] getAttributes(java.lang.String objectName,
                                                        java.lang.String[] attributes)
                                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### invoke

    public com.sun.mfwk.conn.MfAttValue invoke(java.lang.String objectName,
                                               java.lang.String operationName,
                                               com.sun.mfwk.conn.MfAttValue[] params,
                                               java.lang.String[] signature)
                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD